///////////////////////////////////////////////////////////////////////////////
// Homestar dialog.
///////////////////////////////////////////////////////////////////////////////
class DialogHomestar extends DialogGeneric;

///////////////////////////////////////////////////////////////////////////////
// Fill in this character's lines
///////////////////////////////////////////////////////////////////////////////
function FillInLines()
	{
	// Let super go first
	Super.FillInLines();
	
	Clear(lYes);
	AddTo(lYes, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.awright", 1);

	// Apologize/boast after farting in sniper mode
	Clear(lApologize);
	Addto(lApologize, "", 1);

	// Taunts for "Get Down" button
	Clear(lGetDownMP);
	// You're just sore cuz you're losing.
	AddTo(lGetDownMP, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.awcomeon", 1);
	// Baleeted!
	AddTo(lGetDownMP, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.baleeted", 1);
	// Hello!
	AddTo(lGetDownMP, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.Hello", 1);
	// I'm a belle!
	AddTo(lGetDownMP, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.imabell", 1);

	// Comment on pissing
	Clear(lPissing);
	// Ahhhhhhh.
	AddTo(lPissing, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.hssigh", 1);

	// Comment on pissing on yourself
	Clear(lPissOnSelf);
	AddTo(lPissOnSelf, "", 1);

	// Comment on pissing out body fire
	Clear(lPissOutFireOnSelf);
	// Ahhhhhhhh.
	AddTo(lPissing, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.hssigh", 1);

	// Comment on getting health
	Clear(lGotHealth);
	// Awright!
	AddTo(lGotHealth, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.awright", 1);
	// Cool
	AddTo(lGotHealth, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.cool", 1);

	// Comment on eating food
	Clear(lGotHealthFood);
	// Chowing down
	AddTo(lGotHealthFood, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".CoachZ.Chowdown", 1);

	// Comment on smoking crack
	Clear(lGotCrackHealth);
	// Awright!
	AddTo(lGotCrackHealth, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.awright", 1);

	// Follow Me
	Clear(lFollowMe);
	// Companyy... GO!
	AddTo(lFollowMe, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.companygo", 1);
	// Awright maggot, fallen out!
	AddTo(lFollowMe, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.fallenout", 1);
	// Oh, hey guys!
	AddTo(lFollowMe, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.heyguys", 1);
	// Flouride sting.
	AddTo(lFollowMe, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.prepare", 1);

	// Stay Here
	Clear(lStayHere);
	// Company, Halt
	Addto(lStayHere, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.halt", 1);
	// Aw come on, help me out
	Addto(lStayHere, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.helpmeout", 1);

	// Fuck you, bite me, etc.
	Clear(ldefiantline);
	// Baleeted!
	Addto(ldefiantline, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.baleeted", 1);
	// Hey, Cwapface.
	AddTo(lDefiantLine, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.heycrapface", 1);
	// Would you care to share some of your political views?
	AddTo(lDefiantLine, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.political", 1);
	// Prepare to face the wrath
	AddTo(lDefiantLine, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.prepare", 1);

	// Got hit sounds
	Clear(lGrunt);
	// Oh!
	addto(lGrunt, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.oh", 1);
	// Owww!
	addto(lGrunt, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.oww", 1);

	// Got hit sounds
	Clear(lGotHit);
	// Oh!
	addto(lGotHit, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.oh", 1);
	// Owww!
	addto(lGotHit, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.oww", 1);

	Clear(lDude_GotHurtByCrack);
	AddTo(lDude_GotHurtByCrack, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Homestar.thosearebad", 1);
}
