///////////////////////////////////////////////////////////////////////////////
// DialogMale
// Copyright 2001 Running With Scissors, Inc.  All Rights Reserved.
//
// Dialog for all white males
//
// If a new dialog class is added and it references a new sound package
// (like SuperHeroDialog.uax) then in order for those sounds to play on the
// client, you either need a hard reference in the code to one of those files
// Sound'SuperHeroDialog.DieScum', or you need to put that package in the
// ini's with serverpackages (cheesier version).
//
//	History:
//		02/07/02 MJR	Started.
//
///////////////////////////////////////////////////////////////////////////////
class DialogMaleMP extends DialogMale;


///////////////////////////////////////////////////////////////////////////////
// Fill in this character's lines
///////////////////////////////////////////////////////////////////////////////
function FillInLines()
	{
	// Let super go first
	Super.FillInLines();
	
	Clear(lYes);
	AddTo(lYes, "WMaleDialog.wm_laugh", 1);

	//Clear(lApologize);
	//Addto(lApologize,								"WMaleDialog.wm_imsorry", 1);

	//Clear(lGetDownMP);
	//AddTo(lGetDownMP,								"WMaleDialog.wm_angrygetdown", 1);
	//AddTo(lGetDownMP,								"WMaleDialog.wm_angrygetdownifyou", 1);
	//AddTo(lGetDownMP,								"WMaleDialog.wm_angrygetonground", 1);
	Addto(lGetDownMP, "WMaleDialog.wm_yourenotsotough", 1);
	Addto(lGetDownMP, "WMaleDialog.wm_cmonfightlikeaman", 1);
	Addto(lGetDownMP, "WMaleDialog.wm_ohyeahbigmanwitha", 2);
	AddTo(lGetDownMP, "WMaleDialog.wm_howaboutsomeofthis", 3);
	Addto(lGetDownMP, "WMaleDialog.wm_whereyougoingsissy", 3);

	// no pissing talking
	//Clear(lPissing);
	//Addto(lPissing,								"WMaleDialog.wm_ahh", 1);
	//Addto(lPissing,								"WMaleDialog.wm_ohyeah", 2);
	//Addto(lPissing,								"WMaleDialog.wm_satisfiedsigh", 2);

	// no pissing myself out talking
	//Clear(lPissOutFireOnSelf);
	//Addto(lPissOutFireOnSelf,					"WMaleDialog.wm_ahh", 1);
	
	//Clear(lGotHealth);
	//Addto(lGotHealth,							"WMaleDialog.wm_ahh", 1);

	//Clear(lGotHealthFood);
	//Addto(lGotHealthFood,						"WMaleDialog.wm_thatwasprettytasty", 1);
	//Addto(lGotHealthFood,						"WMaleDialog.wm_hardtobelievethat", 2);
	//Addto(lGotHealthFood,						"WMaleDialog.wm_heythatwasactually", 2);
	//Addto(lGotHealthFood,						"WMaleDialog.wm_goodgodwhatwasin", 3);
	Addto(lGotHealthFood,						"WMaleDialog.wm_burp", 3);
	Addto(lGotHealthFood,						"WMaleDialog.wm_kickass", 3);

	//Clear(lGotCrackHealth);
	//Addto(lGotCrackHealth,						"WMaleDialog.wm_ohyeahthattookayear", 1);
	Addto(lGotCrackHealth,						"WMaleDialog.wm_thatsaloadoff", 2);

	//Clear(lfollowme);
	//Addto(lfollowme,							"WMaleDialog.wm_followme", 1);	
	//Addto(lfollowme,							"WMaleDialog.wm_thisway", 1);
	Addto(lfollowme,							"WMaleDialog.wm_alrighteveryone", 1);
	Addto(lfollowme,							"WMaleDialog.wm_cmoneveryonefollow", 2);

	//Clear(lStayHere);
	//Addto(lStayHere,							"WMaleDialog.wm_cop_stoprightthere", 1);

	Clear(lDude_NeedMoreCrackHealth);
	AddTo(lDude_NeedMoreCrackHealth,			"WMaleDialog.wm_idontfeelsogood", 3);
	AddTo(lDude_NeedMoreCrackHealth,			"WMaleDialog.wm_ohmanimgonnabesick", 3);

	Clear(lDude_GotHurtByCrack);	
	AddTo(lDude_GotHurtByCrack,					"WMaleDialog.wm_heythatwasactually", 3);
	}


///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////
defaultproperties
	{
	}
