class DialogStrongbad extends DialogGeneric;

///////////////////////////////////////////////////////////////////////////////
// Fill in this character's lines
///////////////////////////////////////////////////////////////////////////////
function FillInLines()
	{
	// Let super go first
	Super.FillInLines();
	
	Clear(lYes);
	AddTo(lYes, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.techno", 1);

	// Apologize/boast after farting in sniper mode
	Clear(lApologize);
	Addto(lApologize, "", 1);

	// Taunts for "Get Down" button
	Clear(lGetDownMP);
	// Ain't nobody dope as me!
	AddTo(lGetDownMP, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.dopeasme", 1);
	// I am still awesome.
	AddTo(lGetDownMP, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.stillawesome", 1);
	// (Strong Bad Techno Song)
	AddTo(lGetDownMP, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.techno", 1);
	// Trogdor strikes again!
	AddTo(lGetDownMP, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.trogdorstrikes", 1);
	// Okay, interview over. Commence beating! Pwsh pwsh pwsh pwsh pwsh.
	AddTo(lGetDownMP, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.commencebeating", 1);

	// Comment on pissing
	Clear(lPissing);
	// Ahhhhhhh.
	AddTo(lPissing, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.ahhh", 1);

	// Comment on pissing on yourself
	Clear(lPissOnSelf);
	AddTo(lPissOnSelf, "", 1);

	// Comment on pissing out body fire
	Clear(lPissOutFireOnSelf);
	// Ahhhhhhhh.
	AddTo(lPissOutFireOnSelf, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.ahhh", 1);

	// Comment on getting health
	Clear(lGotHealth);
	// Ahhhhhhhh
	AddTo(lGotHealth, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.ahhh", 1);
	// Ahaha, that felt great!
	AddTo(lGotHealth, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.feltgreat", 1);

	// Comment on eating food
	Clear(lGotHealthFood);
	// Mmmmmmm, hot pockets.
	AddTo(lGotHealthFood, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.hotpockets", 1);
	// Mmmmmmmm, fresh emails.
	AddTo(lGotHealthFood, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.freshemail", 1);

	// Comment on smoking crack
	Clear(lGotCrackHealth);
	// Hoho, this is getting good!
	AddTo(lGotCrackHealth, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.gettinggood", 1);

	// Follow Me
	Clear(lFollowMe);
	// Now let's go break open that glowstick and pour it into Homestar Runner's Mountain Dew.
	AddTo(lFollowMe, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.letsgo", 1);
	// WASSUP.
	AddTo(lFollowMe, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.wassup", 1);
	// Get out of my house!
	AddTo(lFollowMe, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.getout", 1);
	// Stiny! Get me a danish!
	AddTo(lFollowMe, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.stinydanish", 1);

	// Stay Here
	Clear(lStayHere);
	// Neigh!
	Addto(lStayHere, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.nay", 1);

	// Fuck you, bite me, etc.
	Clear(ldefiantline);
	// I'm flipping you off right now.
	Addto(ldefiantline, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.flippingyouoff", 1);
	// PWSHH!
	AddTo(lDefiantLine, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.pwshh", 1);
	// Screw all ya'll!
	AddTo(lDefiantLine, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.screwyou", 1);
	// Oh, I'll TELL you what I think of the English!
	AddTo(lDefiantLine, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.thinkofenglish", 1);

	// Got hit sounds
	Clear(lGrunt);
	// Kick!
	addto(lGrunt, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.Kick", 1);
	// Oohhhhhhh
	addto(lGrunt, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.ohhh", 1);
	// Punt!
	addto(lGrunt, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.punt", 1);
	// Sting!
	addto(lGrunt, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.sting", 1);
	// Voip!
	addto(lGrunt, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.voip", 1);
	// (machinegun sound)
	addto(lGrunt, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.mgunsound", 1);

	// Got hit sounds
	Clear(lGotHit);
	// Minus fifteen hit points!
	addto(lGotHit, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.-15hp", 1);
	// ARROWED!
	addto(lGotHit, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.arrowed", 1);
	// OW, MY SKIN!
	addto(lGotHit, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.owmyskin", 1);
	// super bomberman...
	addto(lGotHit, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.superbomberman", 1);
	// Oooooohhhhhhh
	addto(lGotHit, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.ohhh", 1);
	// Thank you, Interruptor Jones!
	addto(lGotHit, "xCharsSounds" $ class'xCharsPawn'.Default.DialogVer $ ".Strongbad.thanku", 1);
}


///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////
defaultproperties
	{
	}
