///////////////////////////////////////////////////////////////////////////////
// Homestar dialog.
///////////////////////////////////////////////////////////////////////////////
class DialogZombieMP extends DialogGeneric;

///////////////////////////////////////////////////////////////////////////////
// Fill in this character's lines
///////////////////////////////////////////////////////////////////////////////
function FillInLines()
	{
	// Let super go first
	Super.FillInLines();
	
	// Taunts for "Get Down" button
	Clear(lGetDownMP);
	AddTo(lGetDownMP, "xCharsSoundsFF.zombie_curse1", 1);
	AddTo(lGetDownMP, "xCharsSoundsFF.zombie_curse2", 1);
	AddTo(lGetDownMP, "xCharsSoundsFF.zombie_curse3", 1);
	AddTo(lGetDownMP, "xCharsSoundsFF.zombie_curse4", 1);
	AddTo(lGetDownMP, "xCharsSoundsFF.zombie_curse5", 1);
	AddTo(lGetDownMP, "xCharsSoundsFF.zombie_curse6", 1);
	AddTo(lGetDownMP, "xCharsSoundsFF.zombie_curse7", 1);

	// Comment on pissing
	Clear(lPissing);
	AddTo(lPissing, "xCharsSoundsFF.zombie_moan1", 1);
	AddTo(lPissing, "xCharsSoundsFF.zombie_moan2", 1);
	AddTo(lPissing, "xCharsSoundsFF.zombie_moan3", 1);
	AddTo(lPissing, "xCharsSoundsFF.zombie_moan4", 1);
	AddTo(lPissing, "xCharsSoundsFF.zombie_moan5", 1);
	AddTo(lPissing, "xCharsSoundsFF.zombie_moan6", 1);

	// Comment on pissing on yourself
	Clear(lPissOnSelf);
	AddTo(lPissOnSelf, "xCharsSoundsFF.zombie_barf1", 1);
	AddTo(lPissOnSelf, "xCharsSoundsFF.zombie_barf2", 1);
	AddTo(lPissOnSelf, "xCharsSoundsFF.zombie_barf3", 1);

	// Comment on pissing out body fire
	Clear(lPissOutFireOnSelf);
	AddTo(lPissOutFireOnSelf, "xCharsSoundsFF.zombie_moan1", 1);
	AddTo(lPissOutFireOnSelf, "xCharsSoundsFF.zombie_moan2", 1);
	AddTo(lPissOutFireOnSelf, "xCharsSoundsFF.zombie_moan3", 1);
	AddTo(lPissOutFireOnSelf, "xCharsSoundsFF.zombie_moan4", 1);
	AddTo(lPissOutFireOnSelf, "xCharsSoundsFF.zombie_moan5", 1);
	AddTo(lPissOutFireOnSelf, "xCharsSoundsFF.zombie_moan6", 1);

	// Comment on getting health
	Clear(lGotHealth);
	AddTo(lGotHealth, "xCharsSoundsFF.zombie_anger1", 1);
	AddTo(lGotHealth, "xCharsSoundsFF.zombie_anger2", 1);
	AddTo(lGotHealth, "xCharsSoundsFF.zombie_anger3", 1);
	AddTo(lGotHealth, "xCharsSoundsFF.zombie_anger4", 1);
	AddTo(lGotHealth, "xCharsSoundsFF.zombie_anger5", 1);
	AddTo(lGotHealth, "xCharsSoundsFF.zombie_anger6", 1);
	AddTo(lGotHealth, "xCharsSoundsFF.zombie_anger7", 1);
	AddTo(lGotHealth, "xCharsSoundsFF.zombie_anger8", 1);

	// Comment on eating food
	Clear(lGotHealthFood);
	AddTo(lGotHealthFood, "xCharsSoundsFF.zombie_anger1", 1);
	AddTo(lGotHealthFood, "xCharsSoundsFF.zombie_anger2", 1);
	AddTo(lGotHealthFood, "xCharsSoundsFF.zombie_anger3", 1);
	AddTo(lGotHealthFood, "xCharsSoundsFF.zombie_anger4", 1);
	AddTo(lGotHealthFood, "xCharsSoundsFF.zombie_anger5", 1);
	AddTo(lGotHealthFood, "xCharsSoundsFF.zombie_anger6", 1);
	AddTo(lGotHealthFood, "xCharsSoundsFF.zombie_anger7", 1);
	AddTo(lGotHealthFood, "xCharsSoundsFF.zombie_anger8", 1);

	// Comment on smoking crack
	Clear(lGotCrackHealth);
	AddTo(lGotCrackHealth, "xCharsSoundsFF.zombie_anger1", 1);
	AddTo(lGotCrackHealth, "xCharsSoundsFF.zombie_anger2", 1);
	AddTo(lGotCrackHealth, "xCharsSoundsFF.zombie_anger3", 1);
	AddTo(lGotCrackHealth, "xCharsSoundsFF.zombie_anger4", 1);
	AddTo(lGotCrackHealth, "xCharsSoundsFF.zombie_anger5", 1);
	AddTo(lGotCrackHealth, "xCharsSoundsFF.zombie_anger6", 1);
	AddTo(lGotCrackHealth, "xCharsSoundsFF.zombie_anger7", 1);
	AddTo(lGotCrackHealth, "xCharsSoundsFF.zombie_anger8", 1);

	// Follow Me
	Clear(lFollowMe);
	AddTo(lFollowMe, "xCharsSoundsFF.zombie_anger1", 1);
	AddTo(lFollowMe, "xCharsSoundsFF.zombie_anger2", 1);
	AddTo(lFollowMe, "xCharsSoundsFF.zombie_anger3", 1);
	AddTo(lFollowMe, "xCharsSoundsFF.zombie_anger4", 1);
	AddTo(lFollowMe, "xCharsSoundsFF.zombie_anger5", 1);
	AddTo(lFollowMe, "xCharsSoundsFF.zombie_anger6", 1);
	AddTo(lFollowMe, "xCharsSoundsFF.zombie_anger7", 1);
	AddTo(lFollowMe, "xCharsSoundsFF.zombie_anger8", 1);

	// Stay Here
	Clear(lStayHere);
	Addto(lStayHere, "xCharsSoundsFF.zombie_anger1", 1);
	Addto(lStayHere, "xCharsSoundsFF.zombie_anger2", 1);
	Addto(lStayHere, "xCharsSoundsFF.zombie_anger3", 1);
	Addto(lStayHere, "xCharsSoundsFF.zombie_anger4", 1);
	Addto(lStayHere, "xCharsSoundsFF.zombie_anger5", 1);
	Addto(lStayHere, "xCharsSoundsFF.zombie_anger6", 1);
	Addto(lStayHere, "xCharsSoundsFF.zombie_anger7", 1);
	Addto(lStayHere, "xCharsSoundsFF.zombie_anger8", 1);

	// Fuck you, bite me, etc.
	Clear(ldefiantline);
	AddTo(lDefiantLine, "xCharsSoundsFF.zombie_curse1", 1);
	AddTo(lDefiantLine, "xCharsSoundsFF.zombie_curse2", 1);
	AddTo(lDefiantLine, "xCharsSoundsFF.zombie_curse3", 1);
	AddTo(lDefiantLine, "xCharsSoundsFF.zombie_curse4", 1);
	AddTo(lDefiantLine, "xCharsSoundsFF.zombie_curse5", 1);
	AddTo(lDefiantLine, "xCharsSoundsFF.zombie_curse6", 1);
	AddTo(lDefiantLine, "xCharsSoundsFF.zombie_curse7", 1);
	AddTo(lDefiantLine, "xCharsSoundsFF.zombie_curse8", 1);

	// Got hit sounds
	Clear(lGrunt);
	addto(lGrunt, "xCharsSoundsFF.zombie_pain1", 1);
	addto(lGrunt, "xCharsSoundsFF.zombie_pain2", 1);
	addto(lGrunt, "xCharsSoundsFF.zombie_pain3", 1);
	addto(lGrunt, "xCharsSoundsFF.zombie_pain4", 1);
	addto(lGrunt, "xCharsSoundsFF.zombie_pain5", 1);
	addto(lGrunt, "xCharsSoundsFF.zombie_pain6", 1);

	// Got hit sounds
	Clear(lGotHit);
	addto(lGotHit, "xCharsSoundsFF.zombie_pain1", 1);
	addto(lGotHit, "xCharsSoundsFF.zombie_pain2", 1);
	addto(lGotHit, "xCharsSoundsFF.zombie_pain3", 1);
	addto(lGotHit, "xCharsSoundsFF.zombie_pain4", 1);
	addto(lGotHit, "xCharsSoundsFF.zombie_pain5", 1);
	addto(lGotHit, "xCharsSoundsFF.zombie_pain6", 1);

	Clear(lDude_GotHurtByCrack);
	addto(lDude_GotHurtByCrack, "xCharsSoundsFF.zombie_pain1", 1);
	addto(lDude_GotHurtByCrack, "xCharsSoundsFF.zombie_pain2", 1);
	addto(lDude_GotHurtByCrack, "xCharsSoundsFF.zombie_pain3", 1);
	addto(lDude_GotHurtByCrack, "xCharsSoundsFF.zombie_pain4", 1);
	addto(lDude_GotHurtByCrack, "xCharsSoundsFF.zombie_pain5", 1);
	addto(lDude_GotHurtByCrack, "xCharsSoundsFF.zombie_pain6", 1);
}
