class xMpCoachZ extends xCharsPawn;

var texture CapSkin;
var rotator CapRotation, BlingRotation;
var vector CapScale, BlingLocation;
var float BlingScale;

replication
{
	reliable if (Role == ROLE_Authority)
		SetCapSkin;
}

simulated function SetupBoltons()
{
	Super.SetupBoltons();
	Boltons[0].Part.SetRelativeRotation(CapRotation);
	SetCapSkin(Boltons[0].Part);
	Boltons[1].Part.SetRelativeRotation(BlingRotation);
	Boltons[1].Part.SetRelativeLocation(BlingLocation);
	Boltons[1].Part.SetDrawScale(BlingScale);
}

simulated function SetCapSkin(PeoplePart Part)
{
	Part.Skins[0] = CapSkin;
	Part.SetDrawScale3d(CapScale);
}

defaultproperties
	{
	CapRotation=(Yaw=-16387,Pitch=-1024)
	CapScale=(X=1.35,Y=1.0,Z=1.0)
	CapSkin=Texture'xCharsTexFinal.boltons.cap_coachz'

	BlingRotation=(Roll=-18000,Pitch=16387)
	//BlingLocation=(X=-10,Y=-15,Z=-60)
	BlingLocation=(X=-10,Y=-15)
	BlingScale=0.60

	Mesh=Mesh'Characters.Avg_Gimp'
	Skins[0]=ConstantColor'xCharsTexFinal.Misc.ConstantGreen'
	HeadSkin=Texture'xCharsTexFinal.heads.head_coachz'
	HeadMesh=Mesh'Heads.Masked'

	HandsTexture=ConstantColor'xCharsTexFinal.Misc.ConstantGreen'
	FootTexture=ConstantColor'xCharsTexFinal.Misc.ConstantGreen'

	DialogClass=class'xCharactersFF.DialogCoachZ'
	DudeSuicideSound=Sound'xCharsSoundsFinal.CoachZ.notcutout'

	Menuname="Coach Z"
	Boltons[0]=(bone="NODE_Parent",staticmesh=staticmesh'boltons.baseballcap3_bolton_billybob_blackman2',bCanDrop=false,bAttachToHead=true)
	Boltons[1]=(bone="MALE01 spine2",staticmesh=staticmesh'xCharStatics.CoachZ.ZBling',bCanDrop=false)
	}
