class xMpDalek extends xCharsPawn;

///////////////////////////////////////////////////////////////////////////////
// blow up into little pieces (implemented in subclass)
///////////////////////////////////////////////////////////////////////////////
simulated function ChunkUp(int Damage)
{
	local PawnExplosion exp;

	bChunkedUp=true;

	if ( Controller != None )
	{
		if ( Controller.bIsPlayer )
			Controller.PawnDied(self);
		else
		{
			Controller.Destroy();
			Controller = None;
		}
	}
	
	spawn(class'DalekExplosion',,,Location);

	// Get rid of me nicely
	Destroy();
}

defaultproperties
	{
	Begin Object Class=ConstantColor Name=ConstantBlack
		Color=(R=0,G=0,B=0,A=0)
	End Object

	Mesh=Mesh'MP_Characters.Big_M_LS_Pants'
	CoreSPMesh=Mesh'Characters.Big_M_LS_Pants'
	Skins[1]=ConstantColor'ConstantBlack'
	//Skins[0]=Texture'Mp_Misc.Mp_swat'
	//HeadSkin=Texture'ChamelHeadSkins.Special.Robber'
	//HeadMesh=None
	// Head doesn't really matter -- see above
	//HeadSkin=Texture'ChamelHeadSkins.MBA__013__AvgBrotha'
	//HeadMesh=Mesh'Heads.AvgBrotha'
	NormalStepSound=None

	HandsTexture=Shader'slaughterhouse-sw.Walls.freezshine'
	FootTexture =ConstantColor'ConstantBlack'

	DialogClass=class'xCharactersFF.DialogDalek'

	DrawType=DT_StaticMesh
	StaticMesh=StaticMesh'xCharStatics.DR_who.Dr_Oagh_Dr_who'
	DrawScale=0.6
	AmbientSound=Sound'arcade.arcade_118'
	SoundVolume=16

	bOnlyGibs=True

	Menuname="Dalek"
	}
