///////////////////////////////////////////////////////////////////////////////
// xMpBabe
// By: Kamek (kamek@postalleague.com)
// For: xCharacters
//
// The Postal Babe.
///////////////////////////////////////////////////////////////////////////////
class xMpBabe extends xCharsPawnSS;

///////////////////////////////////////////////////////////////////////////////
// Idle animation for postal babes
///////////////////////////////////////////////////////////////////////////////
simulated function name GetAnimIdle()
{
	return 'dropped';
}

///////////////////////////////////////////////////////////////////////////////
// Postal Babe doesn't really want a head, so scale it down so it isn't seen.
///////////////////////////////////////////////////////////////////////////////
function SetupHead()
{
	Super.SetupHead();

	if (myHead != None)
		myHead.SetDrawScale(0.01);
}

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////
defaultproperties
{
	Mesh=Mesh'MP_Strippers.MP_PostalBabe_Jeans'
	CoreSPMesh=Mesh'MP_Strippers.MP_PostalBabe_Jeans'
	Skins[0]=Texture'xCharsTexFinal.skins.postalbabe'
	HeadSkin=Texture'ChamelHeadSkins.Female.FWA__037__FemSHcropped'
	HeadMesh=Mesh'Heads.FemSHCropped'

	HandsTexture=Texture'xCharsTexFinal.arms.ss_fem_parcelworker'
	FootTexture=Texture'ChameleonSkins.BystandersF.FB__120__Fem_LS_Pants'

	DialogClass=class'xCharactersFF.DialogFemaleMp'
	DudeSuicideSound=sound'WFemaleDialog.wf_postal_forgiveme'

	Menuname="Postal Babe"
	bIsFemale=true
}
