class xMpStrongbad extends xCharsPawn;

simulated event PostBeginPlay()
{
	Super.PostBeginPlay();
	if (MyHead != None)
	{
		MyHead.SetDrawScale(2.0);
		MyHead.SetCollisionSize(MyHead.CollisionRadius * 2.0, MyHead.CollisionHeight * 2.0);
	}
}

defaultproperties
{
	Mesh=Mesh'xCharacters_Characters.Fat_Strongbad'
	CoreSPMesh=Mesh'xCharacters_Characters.Fat_Strongbad'
	CoreMeshAnim=MeshAnimation'Characters.AnimFat'

	Skins[0]=Texture'xCharsTexFinal.Skins.strongbad'
	HeadSkin=Texture'xCharsTexFinal.Heads.head_strongbad'
	HeadMesh=Mesh'Heads.Masked'
	//HeadScale=2.0

	HandsTexture=Texture'xCharsTexFinal.arms.ls_strongbad'
	FootTexture=Texture'xCharsTexFinal.Skins.strongbad_old__Mini_M_Jacket_Pants'

	DialogClass=class'xCharactersFF.DialogStrongbad'
	DudeSuicideSound=Sound'xCharsSoundsFinal.Strongbad.nomoresbemail'

	Menuname="Strong Bad"

	// Strongbad has a huge head but makes up for it with extra powers
	DamageMult=2.55
	GroundSpeed=500
	JumpZ=600
	
	DrawScale=0.8
}

